Skip to content

getQuoteMethodTrees

READ

Get quote method trees.

POST /api/v1/sales/getQuoteMethodTrees
curl -X POST '<your-host>/api/v1/sales/getQuoteMethodTrees' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "quoteId": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "data": {
        "description": "string",
        "externalId": "…",
        "isRoot": true,
        "itemId": "string",
        "itemReadableId": "string",
        "itemType": "string",
        "kit": true,
        "methodMaterialId": "string",
        "methodType": "Purchase to Order",
        "order": 0,
        "parentMaterialId": "string",
        "quantity": 0,
        "quoteId": "string",
        "quoteLineId": "string",
        "quoteMakeMethodId": "string",
        "quoteMaterialMakeMethodId": "string",
        "replenishmentSystem": "Buy",
        "revision": "string",
        "storageUnitId": "string",
        "unitCost": 0,
        "unitCostSource": "string",
        "version": 0
      },
      "children": [
        "…"
      ]
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "quoteId": {
      "type": "string"
    }
  },
  "required": [
    "quoteId"
  ]
}